.header {
  font-family: $montserrat-font;
  background-image: url("../img/header/header-bg.png");
  background-size: cover;
  background-position: center;

  &__navpan {
    margin: 0 auto;
    max-width: $l-size;
    background-color: #27262A;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 15px;
    flex-wrap: wrap;
  }

  &__logo {
    display: flex;
    align-items: center;
  }

  &__logo:hover .logo__image {
    content: url("../img/header/logo-hover.svg");
  }

  &__logo:hover .logo__text {
    color: white;
  }

  &__button {
    @include button;
  }

  &__buy-button {
    font-size: 15px;
    padding: 11px 10px;
    margin: 30px 0;
  }

  &__buy-button:hover {
    background-color: white;
    color: #8d81ac;
  }

  &__content {
    @include page-container;
    padding: 0 10px;
    text-align: center;
  }

  .content__heading {
    font-weight: bold;
    font-size: 48px;
    color: white;
    padding-top: 50px;
  }

  .content__text {
    font-size: 18px;
    color: #8D81AC;
    margin-top: 20px;
  }

  .content__product-version {
    text-transform: uppercase;
    font-size: 14px;
    color: #848E97;
    margin-top: 20px;
    padding-bottom: 350px;
  }

  .download-button__wrapper {
    text-align: center;
    position: relative;
    top: 52px;
  }

  .header__download-button {
    font-size: 18px;
    padding: 13px 29px;
    border: 2px solid rgba(0, 0, 0, 0);
  }

  .header__download-button:hover {
    background-color: white;
    color: #8d81ac;
    border: 2px solid #8D81AC;
  }

  .download-button__caption {
    color: #848E97;
    font-size: 14px;
    padding-top: 13px;
    text-align: center;
  }
}

.logo__text {
  display: none;
  font-family: $lato-font;
  font-weight: bold;
  font-size: 24px;
  color: #8d81ac;
  text-transform: uppercase;
  margin-left: 15px;
}

.header__menu {
  list-style: none;
  display: none;
  background-color: #333333;
  width: 90%;

  &--mb-show {
    display: block;
    position: absolute;
    top: 101px;
    left: 5%;
  }
}

.menu__item {
  position: relative;
  display: block;
  border-bottom: 3px solid #3B3B3B;
  padding-top: 35px;
  padding-bottom: 25px;
  padding-left: 12%;
  cursor: pointer;
}

.menu__item:hover {
  position: relative;
  left: 5px;
}

.menu__item:hover:before {
  position: absolute;
  content: '';
  height: 45px;
  border: 4px solid #8d81ac;
  left: -3px;
  top: 20px;
}

.menu__link {
  color: white;
  font-size: 26px;
}

.menu__item:hover .menu__link {
  color: #8D81AC;
}

.burger {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: flex-end;
  width: 30px;
  height: 30px;

  &__line {
    width: 87%;
    height: 3px;
    border-radius: 5px;
    background-color: white;
    transition: 0.3s all ease-in-out;
  }

  &__line:first-child {
    width: 50%;
  }
}

.burger-toggle {

  & > .burger__line:first-child {
    transform: rotate(45deg) translate(9px, 5px);
    width: 90%;
    height: 2px;
  }

  & > .burger__line:nth-child(2) {
    opacity: 0;
  }

  & > .burger__line:last-child {
    transform: rotate(-45deg) translate(10px, -6px);
    width: 90%;
    height: 2px;
  }
}

@media screen and (min-width: $s-size) {

  .burger {
    display: none;
  }

  .logo__text {
    display: block;
  }

  .header__buy-button {
    padding: 11px 35px;
    font-size: 16px;
    margin: 25px 0;
  }
  .header__menu {
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: #27262a;
  }

  .header__menu--mb-show {
    position: static;
  }

  .menu__item {
    display: inline-block;
    border-bottom: 1px solid transparent;
    padding: 0 13px 20px 13px;
    cursor: pointer;
  }

  .menu__item:first-child {
    padding-left: 0;
  }

  .menu__item:hover {
    position: static;
  }

  .menu__item:hover .menu__link {
    color: white;
  }

  .menu__link {
    font-size: 16px;
    color: #8d81ac;
  }
  .menu__item:hover:before {
    display: none;
  }

  .content__heading {
    font-size: 72px;
    padding-top: 70px;
  }

  .content__text {
    font-size: 24px;
  }

  .content__product-version {
    padding-bottom: 350px;
  }

  .download-button__wrapper {
    text-align: center;
    position: relative;
    top: 72px;
  }

  .header__download-button {
    @include button;
    font-size: 21px;
    padding: 25px 60px;
  }

  .download-button__caption {
    color: #848E97;
    font-size: 14px;
    padding-top: 19px;
    text-align: center;
  }
}

@media screen and (min-width: $m-size) {
  .header__navpan {
    flex-wrap: nowrap;
    padding: 0 7.5%;
    align-items: center;
    justify-content: center;
    background-color: black;
  }

  .header__buy-button {
    order: 1;
    padding: 11px 20px;
    margin: 30px 0;
  }
  .header__menu {
    width: fit-content;
    margin-left: auto;
    margin-right: 4%;
    background-color: black;
  }

  .menu__item {
    display: inline-block;
    border-bottom: 1px solid transparent;
    padding: 0 20px;
    cursor: auto;
  }

  .content__heading {
    font-size: 82px;
    padding-top: 85px;
  }

  .content__text {
    font-size: 30px;
  }

  .content__product-version {
    padding-bottom: 350px;
    font-size: 16px;
  }
}
